API Docs
Disputes
API ReferenceDisputesList

List Disputes

Retrieve a list of disputes with optional filtering and pagination.

GET /disputes/list

Query Parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo10Number of disputes to return (max: 100)
offsetintegerNo0Number of disputes to skip
statusstringNoFilter by dispute status
payment_idstringNoFilter by payment ID

Request Example

curl -X POST 'https://api.v2.paychtec.com/disputes/list' \  -H "Content-Type: application/json" \  -H "api-key: snd_YOUR_API_KEY" \  -d '{  "limit": 10,  "status": "dispute_opened"}'

Response

{
  "count": 1,
  "total_count": 3,
  "data": [
    {
      "dispute_id": "dis_1234567890abcdef",
      "payment_id": "pay_mbabizu24mvu3mela5njyhpit4",
      "amount": 5000,
      "currency": "USD",
      "status": "dispute_opened",
      "reason": "fraudulent",
      "created": "2024-01-25T10:00:00Z"
    }
  ]
}